var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useMemo, useState } from 'react';
import { View, Text, StyleSheet, Pressable } from 'react-native';
import { gDp } from 'th_comm.rn';
var FakeTab = function (props) {
    var _a = useState(0), index = _a[0], setIndex = _a[1];
    var _children = useMemo(function () {
        console.log('useMemo called!!');
        if (!Array.isArray(props.children)) {
            console.error('props.children should be an array');
            return [];
        }
        return props.children;
    }, [props.children]);
    // ts javascript
    var _getTitleText = function (index) {
        if (index < props.titles.length) {
            return props.titles[index];
        }
        return '';
    };
    var _Content = function () {
        return (<View>
        {_children.map(function (item, i) {
                return (<View style={{
                        height: i === index ? undefined : 0,
                        width: i === index ? undefined : 0,
                        marginLeft: i === index ? 0 : 10000,
                    }}>
              {item}
            </View>);
            })}
      </View>);
    };
    var _isSelected = function (_index) {
        return _index === index;
    };
    var _TabBarItem = function (_a) {
        var _b, _c, _d;
        var index = _a.index;
        return (<Pressable onPress={function () {
                setIndex(index);
            }}>
        <View style={__assign({ paddingHorizontal: gDp(30) }, (_c = (_b = props.styles) === null || _b === void 0 ? void 0 : _b.tabBar) === null || _c === void 0 ? void 0 : _c.container)}>
          <View style={{
                alignItems: 'center',
            }}>
            <Text style={__assign({}, styles.tabBarText)}>{_getTitleText(index)}</Text>
            <View style={__assign(__assign(__assign({}, styles.underLine), props.underLineStyle), { backgroundColor: _isSelected(index)
                    ? ((_d = props.underLineStyle) === null || _d === void 0 ? void 0 : _d.backgroundColor) ||
                        styles.underLine.backgroundColor
                    : 'transfer' })}/>
          </View>
        </View>
      </Pressable>);
    };
    // what to do for the i?
    var indexes = useMemo(function () {
        return Array.from(_children.keys());
    }, [_children]);
    return (<View style={props.style}>
      <View style={__assign({ flexDirection: 'row', paddingTop: gDp(14) }, props.tabStyle)}>
        {indexes.map(function (index) {
            return (<_TabBarItem key={index.toString() + '_' + _getTitleText(index)} index={index}/>);
        })}
      </View>
      <View style={props.contentStyle}>{_Content()}</View>
    </View>);
};
var styles = StyleSheet.create({
    tabBarText: {
        fontWeight: 'bold',
        fontSize: gDp(28),
        color: '#333',
    },
    underLine: {
        marginTop: gDp(14),
        height: gDp(4),
        width: gDp(56),
        backgroundColor: '#fc6600',
        borderRadius: gDp(4),
    },
});
export default FakeTab;
//# sourceMappingURL=FakeTab.js.map