var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useMemo } from 'react';
import { Text, FlatList, View, Pressable } from 'react-native';
import { gDp } from 'th_comm.rn';
import { CODE_ALL } from '../model';
var ListItem = function (props) {
    var data = props.data, select = props.select, title = props.title, onClick = props.onClick;
    // console.log('data: ', data);
    var hasNext = data.list && data.list.length > 0;
    var items = useMemo(function () {
        var _a, _b;
        var rst = [];
        if (hasNext) {
            rst.push({
                title: "\u5168\u90E8" + title,
                isAll: true,
                code: CODE_ALL,
                isSelected: (_a = select === null || select === void 0 ? void 0 : select.isAll) !== null && _a !== void 0 ? _a : false,
            });
        }
        for (var _i = 0, _c = (_b = data.list) !== null && _b !== void 0 ? _b : []; _i < _c.length; _i++) {
            var item = _c[_i];
            // console.log('item.code: ', item.code, ', select.code: ', select?.code, ', select: ', select);
            rst.push({
                title: item.name,
                isAll: false,
                code: item.code,
                isSelected: (select === null || select === void 0 ? void 0 : select.code) === item.code,
            });
        }
        return rst;
    }, [data, select]);
    // console.log('items: ', items);
    return (<View style={__assign({ flex: 1 }, props.style)}>
      <FlatList data={items} renderItem={function (item) {
            return <Pressable onPress={function () {
                    onClick(item.item.code, item.item.isAll);
                }} style={{
                    flex: 1,
                    height: gDp(64),
                }}>
            <View style={{
                    height: gDp(64),
                    backgroundColor: item.item.isSelected ? '#f5f5f5' : 'white',
                    flex: 1,
                    flexDirection: 'row',
                    alignItems: 'center',
                }}>
              <View style={{
                    backgroundColor: item.item.isSelected ? '#fc6600' : 'transparent',
                    width: gDp(4),
                    height: gDp(20),
                }}>
              </View>
              <Text key={item.index.toString()} style={{
                    fontSize: gDp(24),
                    color: item.item.isSelected ? '#fc6600' : '#3c3c3c',
                    paddingLeft: gDp(24),
                }}>{item.item.title}</Text>
            </View>
          </Pressable>;
        }}/>
    </View>);
};
export default ListItem;
//# sourceMappingURL=ListItem.js.map