export declare type Code = number | string;
export declare const CODE_ALL = -1;
export interface DFModel {
    name: string;
    code: Code;
}
export interface DFDataItem extends DFModel {
    level: number;
    list?: DFDataItem[];
    listLoader?: (_s: DFSelectItem) => Promise<DFDataItem>;
}
export declare const DFDataItemMethod: {
    isSelect(thiz: DFDataItem, select?: DFSelectItem | undefined): boolean;
};
export interface DropFilterData {
    main: DFDataItem[];
    others: {
        name: string;
        code: string;
        list: DFModel[];
    }[];
}
export declare const DropFilterDataMethod: {
    getItemByCode: (code?: Code | undefined, thiz?: DFDataItem | undefined) => DFDataItem | undefined;
};
export interface DFSelectItem {
    select?: DFSelectItem;
    isAll?: boolean;
    code?: Code;
    level: number;
    child?: DFSelectItem;
}
/**
 * yes we present the full(full means if the user select nothing, we still need to provider a placeholder) select state
 */
export interface DropFilterSelect {
    main: {
        [key: number]: DFSelectItem;
    };
    others: {
        [key: string]: Code[];
        [key: number]: Code[];
    };
}
export declare const DropFilterSelectMethod: {
    other: {
        getSelected(code: Code, others: DropFilterSelect['others']): Code[];
    };
    main: {
        getSelect(level: number, rootSelect: DFSelectItem): DFSelectItem | undefined;
        getL0Select(index: number, thiz: DropFilterSelect['main']): DropFilterSelect['main'][0];
    };
};
//# sourceMappingURL=model.d.ts.map