import React from 'react';
import { Button, Dimensions, Image, Text, View } from 'react-native';
import { gDp } from 'th_comm.rn';
/**
 * 加载错误时候的错误类型
 */
export var ErrorType;
(function (ErrorType) {
    ErrorType[ErrorType["SERVER"] = 0] = "SERVER";
    ErrorType[ErrorType["NET"] = 1] = "NET";
})(ErrorType || (ErrorType = {}));
/**
 * 错误View
 */
var ErrorView = function (props) {
    var height = Dimensions.get('window').width;
    var _a = props.errorType, errorType = _a === void 0 ? ErrorType.SERVER : _a;
    var msg = errorType === ErrorType.SERVER
        ? '服务器开小差了。请稍后重试'
        : '请检查您的网络';
    // noinspection JSSuspiciousNameCombination
    return (<View style={{
            width: '100%',
            height: height,
            alignItems: 'center',
            justifyContent: 'center',
        }}>
      <Image style={{
            width: gDp(724),
            height: gDp(410),
        }} source={require('../imgs/ic_error.png')}/>

      <Text style={{
            fontSize: gDp(28),
            color: '#999',
        }}>
        {msg}
      </Text>

      <View style={{
            marginTop: gDp(20),
            width: '50%',
        }}>
        <Button title={'刷新'} onPress={function () { var _a; return (_a = props.onRefresh) === null || _a === void 0 ? void 0 : _a.call(props); }}/>
      </View>
    </View>);
};
export default ErrorView;
//# sourceMappingURL=ErrorView.js.map