import React from 'react';
import { ImageProps, ImageURISource } from 'react-native';
/**
 * Is my ability to scale the image??
 */
export interface ImgWithLoadingAndCacheProps extends ImageProps {
    /**
     * loading config
     * How to handle someone want use http or someone others want use local img?
     */
    loading?: {
        src?: ImageURISource;
    };
}
/**
 * This is a Image that you can use like <Image>
 * But this will automatic add the loading and the cache.
 *
 * @param props
 * @constructor
 */
declare const ImgWithLoadingAndCache: React.FC<ImgWithLoadingAndCacheProps>;
export default ImgWithLoadingAndCache;
//# sourceMappingURL=ImgWithLoadingAndCache.d.ts.map