import React, { useState } from 'react';
import { Image, View } from 'react-native';
import FastImage from '@zfkcyjy/react-native-fast-image';
import { getResizeMode } from './util/_util';
/**
 * This is a Image that you can use like <Image>
 * But this will automatic add the loading and the cache.
 *
 * @param props
 * @constructor
 */
var ImgWithLoadingAndCache = function (props) {
    var _a, _b;
    var originUri = '';
    if (props.source) {
        originUri = props.source.uri;
    }
    var isUri = !!originUri;
    var _c = useState(isUri), isLoading = _c[0], setIsLoading = _c[1];
    var showLoading = isLoading && ((_a = props.loading) === null || _a === void 0 ? void 0 : _a.src);
    return isUri ? (<View>
      <FastImage onLoadEnd={function () {
            setIsLoading(false);
        }} style={props.style} source={{ uri: originUri }} resizeMode={getResizeMode(props.resizeMode)}/>
      {showLoading && <Image {...props} source={props.loading.src} style={[props.style, {
                    position: 'absolute',
                    left: 0,
                }]}/>}
    </View>) : (<Image loadingIndicatorSource={(_b = props.loading) === null || _b === void 0 ? void 0 : _b.src} onLoadEnd={function () {
            console.log('onload end');
            setIsLoading(false);
        }} {...props}/>);
};
export default ImgWithLoadingAndCache;
//# sourceMappingURL=ImgWithLoadingAndCache.js.map