import React from 'react';
import { FlatListProps, ViewStyle } from 'react-native';
import PageVo from '../loadview/list/model/PageVo';
export interface DataLoaderResult<T> {
    data: T[];
    isOk(): boolean;
    hasMore(): boolean;
}
/**
 * 参数可能会很多。不要惊讶
 */
export interface AppLoadListProps<T> {
    contentContainerStyle?: ViewStyle;
    dataLoader: (page: PageVo) => Promise<DataLoaderResult<T>>;
    viewBuilder: (item: T, index: number) => React.ReactElement;
    style?: ViewStyle;
    dividerHeight?: number;
    size?: number;
    emptyConfig?: {
        hint?: string;
        builder?: React.FC;
    };
    /**
     * 一般情况下，加载第一页需要显示Loading。
     * 但是有些特殊情况，可能不想要这个loading（其它地方已经显示loading了）
     */
    showInitLoading?: boolean;
    flatListProps?: Partial<FlatListProps<T>>;
    versionNum?: number;
    canRefresh?: boolean;
}
export interface GJListViewRef<T> {
    refresh: (shoLoading: boolean) => void;
    changeData: (changer: (data: T[]) => T[]) => void;
}
declare module 'react' {
    function forwardRef<T, P = {}>(render: (props: P, ref: React.Ref<T>) => React.ReactElement | null): (props: P & React.RefAttributes<T>) => React.ReactElement | null;
}
declare const _default: <T>(props: AppLoadListProps<T> & React.RefAttributes<GJListViewRef<T>>) => React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
export default _default;
//# sourceMappingURL=LoadListView.d.ts.map