import React, { useEffect, useRef, useState } from 'react';
import { View, Button, Modal, TextInput } from 'react-native';
import SizedBox from '../SizedBox';
import { gDp } from 'th_comm.rn';
var PromptModal = function (props) {
    var _a = useState(''), text = _a[0], setText = _a[1];
    var ref = useRef();
    useEffect(function () {
        if (props.show) {
            // clear the text when show changed.
            setText('');
        }
    }, [props.show]);
    return (<Modal onShow={function () {
            var _a, _b;
            (_a = ref.current) === null || _a === void 0 ? void 0 : _a.blur();
            (_b = ref.current) === null || _b === void 0 ? void 0 : _b.focus();
        }} transparent={true} style={{
            flex: 1,
            width: '100%',
            height: '100%',
        }} onDismiss={function () { return props.onDismiss("", false); }} visible={props.show}>
      <View style={{
            backgroundColor: 'rgba(0, 0, 0, 0.5)',
            flex: 1,
            paddingHorizontal: gDp(100),
            alignItems: 'center',
            justifyContent: 'center',
        }}>
        <View style={{
            paddingVertical: gDp(30),
            paddingHorizontal: gDp(30),
            borderRadius: gDp(20),
            backgroundColor: 'white',
            width: '100%',
        }}>
          <TextInput ref={function (_ref) { return ref.current = (_ref || undefined); }} showSoftInputOnFocus={true} autoFocus={true} style={{
            fontSize: gDp(30),
            borderColor: 'gray',
            borderWidth: gDp(1),
        }} onChangeText={setText} {...props.input}/>
          <View style={{
            marginTop: gDp(20),
            width: '100%',
            flexDirection: 'row',
        }}>
            <View style={{
            flex: 1,
        }}>
              <Button title={'取消'} onPress={function () {
            props.onDismiss('', false);
        }}/>
            </View>

            <SizedBox width={gDp(20)}/>

            <View style={{
            flex: 1
        }}>
              <Button title={'确定'} onPress={function () {
            var _a;
            props.onDismiss((_a = text === null || text === void 0 ? void 0 : text.trim()) !== null && _a !== void 0 ? _a : '', true);
        }}/>
            </View>
          </View>
        </View>
      </View>
    </Modal>);
};
export default PromptModal;
//# sourceMappingURL=PromptModal.js.map